Zum Inhalt springen

ValidateWorkflowPackage

POST
/api/v1/t/{tenant}/workflows/packages/validate
curl --request POST \
--url https://example.com/api/v1/t/example/workflows/packages/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form package=@file
tenant
required
string

Tenant slug

Media typemultipart/form-data
object
package
required
string format: binary

OK

Media typeapplication/json
object
valid
required
boolean
workflows
required
Array<object>
object
key
required
string
problems
required
object
key
additional properties
Array<string>
scripts
required
Array<object>
object
file
required
string
diagnostics
required
Array<object>
object
code
required
string
severity
required
Allowed values: Error Warning
message
required
string
line
required
integer format: int32
column
required
integer format: int32
endLine
required
integer format: int32
endColumn
required
integer format: int32
unresolved
required
Array<object>
object
kind
required
Allowed values: DocumentType Role Member File Tag CostCenter Constant Workflow FileType
key
required
string
number
required
null | string
Example
{
"workflows": [
{
"scripts": [
{
"diagnostics": [
{
"severity": "Error"
}
]
}
],
"unresolved": [
{
"kind": "DocumentType"
}
]
}
]
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Payload Too Large

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Unsupported Media Type

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Service Unavailable

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}